Subject: Re: bug#54487: 29.0.50; connection-local value for `shell-file-name' not set in Dired buffers over Tramp

From: Michael Albinus <[email-masked]>
Date: Wed, 23 Mar 2022 19:58:44 +0100

Jim Porter <[email-masked]> writes:

Hi Jim,

> On the other hand, I think I like the idea of having grep be aware of
> connection-local variables even better. That's more flexible, and also
> should work for the reverse case: if you call rgrep from a Tramp file
> buffer, but change the search directory to a local path, rgrep uses
> POSIX shell-quoting. It should use MS-Windows shell-quoting in that
> case (since it's running the command on the local Windows system).

With commit ef0a0d30c5 this shall work now, even w/o connection-local
variables.

Best regards, Michael.